Loading...
Searching...
No Matches
QXmpp::AuthenticationError Struct Reference

`#include <QXmppAuthenticationError.h>`

## Public Types

enum | Type { NotAuthorized , AccountDisabled , CredentialsExpired , EncryptionRequired , MechanismMismatch , ProcessingError , RequiredTasks }
| Describes the type of the authentication error. More...

## Public Attributes

Type | type
| Type of the authentication error.
QString | text
| Error message from the server.
std::any | details
| Protocol-specific details provided to the error.

## Detailed Description

Indicates an authentication error

Since
  QXmpp 1.7

## Member Enumeration Documentation

## Type

enum QXmpp::AuthenticationError::Type

Describes the type of the authentication error.

Enumerator
NotAuthorized | The provided credentials have been rejected by the server.
AccountDisabled | The server did not allow authentication because the account is currently disabled.
CredentialsExpired | Used credentials are not valid anymore.
EncryptionRequired | Authentication is only allowed with an encrypted connection.
MechanismMismatch | Authenticated could not be completed because the server did not offer a compatible authentication mechanism.
ProcessingError | Local error while processing authentication challenges.
RequiredTasks | The server requested for tasks that are not supported.

The documentation for this struct was generated from the following file:

- QXmppAuthenticationError.h